Options -Indexes
ServerSignature Off
<ifModule mod_headers.c>
  Header unset X-Powered-By
</ifModule>

<IfModule php5_module>
  php_value session.cookie_httponly true
</IfModule>

#<IfModule mod_deflate.c>
#  AddOutputFilterByType DEFLATE text/html text/plain text/xml
#  <FilesMatch "\.(js|css)$">
#    SetOutputFilter DEFLATE
#  </FilesMatch>
#</IfModule>

<IfModule mod_rewrite.c>
  RewriteEngine On

  RewriteCond %{REQUEST_METHOD} ^(TRACE|TRACK)
  RewriteRule .* - [F]

  RewriteCond %{ENV:REDIRECT_STATUS} 200
  RewriteRule .* - [L]

  RewriteRule ^/?$ index.php?controller=pjWebPages&action=pjActionIndex [L,NC]
  RewriteRule ^([a-z]{2})/$ index.php?controller=pjWebPages&action=pjActionIndex&language=$1 [L,NC]
  RewriteRule ^([a-z]{2})/holiday-packages/$ index.php?controller=pjWebPages&action=pjActionHolidayPackages&language=$1 [L,NC,QSA]
  RewriteRule ^([a-z]{2})/best-deals/$ index.php?controller=pjWebPages&action=pjActionBestDeals&language=$1 [L,NC,QSA]
  RewriteRule ^([a-z]{2})/(.*)-(\d+)/$ index.php?controller=pjWebPages&action=pjActionListing&language=$1&id=$3 [L,NC,QSA]
  RewriteRule ^([a-z]{2})/destinations/([\w\-]+)/$ index.php?controller=pjWebPages&action=pjActionDestinations&language=$1&seo_url=$2 [L,NC]
  RewriteRule ^([a-z]{2})/contact/$ index.php?controller=pjWebPages&action=pjActionContact&language=$1 [L,NC,QSA]
  RewriteRule ^([a-z]{2})/search/$ index.php?controller=pjWebPages&action=pjActionSearch&language=$1 [L,NC,QSA]
  RewriteRule ^([a-z]{2})/login/$ index.php?controller=pjWebPages&action=pjActionLogin&language=$1 [L,NC,QSA]
  RewriteRule ^([a-z]{2})/forgot/$ index.php?controller=pjWebPages&action=pjActionForgot&language=$1 [L,NC,QSA]
  RewriteRule ^([a-z]{2})/register/$ index.php?controller=pjWebPages&action=pjActionRegister&language=$1 [L,NC,QSA]
  RewriteRule ^([a-z]{2})/subscribe/$ index.php?controller=pjWebPages&action=pjActionSubscribe&language=$1 [L,NC,QSA]
  RewriteRule ^([a-z]{2})/location/$ index.php?controller=pjWebPages&action=pjActionLocation&language=$1 [L,NC,QSA]
  RewriteRule ^captcha/$ index.php?controller=pjWebPages&action=pjActionCaptcha [L,NC,QSA]
  RewriteRule ^checkCaptcha/$ index.php?controller=pjWebPages&action=pjActionCheckCaptcha [L,NC,QSA]
  RewriteRule ^getCount/$ index.php?controller=pjWebPages&action=pjActionGetCount [L,NC,QSA]
  RewriteRule ^enquiry/$ index.php?controller=pjWebPages&action=pjActionEnquiry [L,NC]
  RewriteRule ^comment/$ index.php?controller=pjWebPages&action=pjActionComment [L,NC]
  RewriteRule ^getComments/(\d+)/$ index.php?controller=pjWebPages&action=pjActionGetComments&id=$1 [L,NC]
  
  RewriteRule ^([a-z]{2})/([a-z0-9\_\-]+)/$ index.php?controller=pjWebPages&action=pjActionPage&language=$1&seo_url=$2 [L,NC]

  RewriteCond %{REQUEST_URI} ^(.*)/(admin|cms)$ [NC]
  RewriteRule .* %1/index.php?controller=pjAdmin&action=pjActionIndex [R=301,L]
</IfModule>